SFML 3.1.0
Loading...
Searching...
No Matches
Namespaces | Typedefs
Glsl.hpp File Reference
`#include <SFML/System/Vector2.hpp>`
`#include <SFML/System/Vector3.hpp>`
`#include <cstddef>`
`#include <SFML/Graphics/Glsl.inl>`

Go to the source code of this file.

## Namespaces
namespace | sf
namespace | sf::Glsl
| Namespace with GLSL types.

## Typedefs
using | sf::Glsl::Vec2 = Vector2<float>
| 2D float vector (`vec2` in GLSL)
using | sf::Glsl::Ivec2 = Vector2<int>
| 2D int vector (`ivec2` in GLSL)
using | sf::Glsl::Bvec2 = Vector2<bool>
| 2D bool vector (`bvec2` in GLSL)
using | sf::Glsl::Vec3 = Vector3<float>
| 3D float vector (`vec3` in GLSL)
using | sf::Glsl::Ivec3 = Vector3<int>
| 3D int vector (`ivec3` in GLSL)
using | sf::Glsl::Bvec3 = Vector3<bool>
| 3D bool vector (`bvec3` in GLSL)
using | sf::Glsl::Vec4 = ImplementationDefined
| 4D float vector (`vec4` in GLSL)
using | sf::Glsl::Ivec4 = ImplementationDefined
| 4D int vector (`ivec4` in GLSL)
using | sf::Glsl::Bvec4 = ImplementationDefined
| 4D bool vector (`bvec4` in GLSL)
using | sf::Glsl::Mat3 = ImplementationDefined
| 3x3 float matrix (`mat3` in GLSL)
using | sf::Glsl::Mat4 = ImplementationDefined
| 4x4 float matrix (`mat4` in GLSL)